package newsTicker;
import java.applet.Applet;
import java.awt.BorderLayout;
import newsTicker.HTMLParser;
import newsTicker.NewsTicker;

public class NewstickerApplet extends Applet {
	
	private  HTMLParser  htmlParser;
	private  NewsTicker  newstickerPanel;
	
	public void 	init() {

		// Oberflaeche initialisieren
		setLayout( new BorderLayout() );
		
		// HTML-Tags parsen: Nachrichten und Konfiguration holen
		htmlParser = new HTMLParser( this );
		
		// Newsticker-Panel erzeugen und Daten mitgeben
		newstickerPanel = new NewsTicker( 
			getWidth(), getHeight(),
			htmlParser.getNachrichten(), 
			htmlParser.getGeschwindigkeit(), 
			htmlParser.getLaufrichtung()
		);
		
		// Listener fuer das "OeffneLink"-Ereigniss
		newstickerPanel.addOeffneLinkListener( new OeffneLinkListener() {
			public void oeffneLink( OeffneLinkEvent e ){
				// Oeffnen des neuen Browser-Fensters mit dem geklickten Link
				getAppletContext().showDocument( e.getURL() , "_blank" );
			}
		});

		// Hinzufuegen zum Layout/Applet
		add( newstickerPanel );
	}
	
	public void 	start() {
		newstickerPanel.start();
	}
	
	public void 	stop() {
		newstickerPanel.stop();
	}
}