package newsTicker;
import java.awt.Frame;
import java.awt.BorderLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import newsTicker.NewsTicker;

public class NewstickerApplikation{

	private static ArgsParser	argsParser;
	private static XMLParser   xmlParser;
	private static NewsTicker  newstickerPanel;
	private static Frame 		win;

	public static void main( String[] args ) {

		// Argument-Parser erzeugen: Kommandozeilen-Argumente einlesen
		argsParser = new ArgsParser( args );
		
		// XML-Parser erzeugen: liest die Nachrichten aus einer XML-Datei (RSS/RDF)
		xmlParser = new XMLParser( argsParser.getDateiname(), argsParser.getSchriftgroesse() );
		
		// Fenster erzeugen, "konfigurieren" und anzeigen
		win = new Frame("NewsTicker");
		win.setSize( argsParser.getBreite(), argsParser.getHoehe() );
		win.setLayout( new BorderLayout() );
		win.setResizable( false );
		win.setVisible( true );

		// newstickerPanel erzeugen und Daten mitgeben
		newstickerPanel = new NewsTicker( 
			argsParser.getBreite(),
			argsParser.getHoehe(),
			xmlParser.getNachrichten(), 
			argsParser.getGeschwindigkeit(), 
			argsParser.getLaufrichtung()
		);
		
		// newstickerPanel zum Layout hinzufuegen & "manuell" starten 
		win.add( newstickerPanel );
		newstickerPanel.start();

		// Listener fuer das "OeffneLink"-Ereigniss
		newstickerPanel.addOeffneLinkListener( new OeffneLinkListener() {
			public void oeffneLink(OeffneLinkEvent event){
				try {
					Runtime.getRuntime().exec( new String[] {Standard.browser, event.getURL().toString()} );
				} catch( java.io.IOException e) {
					System.err.println("Browser konnte nicht gestartet werden");
				}
			}
		});
				
	    // Fenster schliessen & Programm beenden
		win.addWindowListener( new WindowAdapter() { 
	        	public void windowClosing( WindowEvent we) {
	        		System.exit(0);
	        	}
	        } );
	}
}
